summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-electronics/netgen')
-rw-r--r--sci-electronics/netgen/netgen-1.4.52.ebuild49
1 files changed, 12 insertions, 37 deletions
diff --git a/sci-electronics/netgen/netgen-1.4.52.ebuild b/sci-electronics/netgen/netgen-1.4.52.ebuild
index 0c90872fda8..c07ac1310bc 100644
--- a/sci-electronics/netgen/netgen-1.4.52.ebuild
+++ b/sci-electronics/netgen/netgen-1.4.52.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
-
-inherit eutils
+EAPI=7
DESCRIPTION="LVS tool (layout versus schematic comparison)"
HOMEPAGE="http://www.opencircuitdesign.com/netgen/index.html"
@@ -14,46 +12,23 @@ SLOT="0"
KEYWORDS="~amd64"
IUSE="X"
-DEPEND="X? (
+DEPEND="
+ X? (
dev-lang/tcl:0
dev-lang/tk:0
- x11-libs/libX11 )"
+ x11-libs/libX11
+ )"
RDEPEND="${DEPEND}"
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-1.4.40-tcl-bin-name.patch
-
- if $(use X) ; then
- cp -r "${S}" "${WORKDIR}"/with-x || die
- fi
-}
+PATCHES=( "${FILESDIR}"/${PN}-1.4.40-tcl-bin-name.patch )
src_configure() {
- cd scripts
- econf --without-x
-
- if $(use X) ; then
- cd "${WORKDIR}"/with-x/scripts || die
- econf --with-x
- fi
-}
-
-src_compile() {
- emake
-
- if $(use X) ; then
- cd "${WORKDIR}"/with-x || die
- emake
- fi
+ cd scripts || die
+ econf $(use_with X x)
}
src_install() {
- emake DESTDIR="${D}" DOCDIR=/usr/share/doc/${PF} install
-
- if $(use X) ; then
- cd "${WORKDIR}"/with-x || die
- emake DESTDIR="${D}" DOCDIR=/usr/share/doc/${PF} install
- fi
-
- dodoc Changes README TO_DO
+ emake DESTDIR="${D}" DOCDIR="${EPREFIX}"/usr/share/doc/${PF} install
+ einstalldocs
+ dodoc Changes TO_DO
}